<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap CSS Link -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <!-- Custom CSS -->
    <!-- <link rel="stylesheet" href="./index.css"> -->
    <title>Bootstrap Grid System</title>
</head>
<body class="text-center">
    <h1>Bootstrap Grid System</h1>
    <h2>Two Columns</h2>
    <div class="container-fluid">
        <!-- Row with two equal columns -->
        <!-- 
            - The "row" class will make all child elements appear side by side stating that all child elements should appear in a row.
			- The "col-6" class will define the width of the child elements to occupy 6 columns for a total of 12.
         -->
        <h3>1:1 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
        </div>
        <!-- Row with two columns divided in 1:2 ratio -->
        <h3>1:2 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
        </div>
        <!-- Row with two columns divided in 1:3 ratio -->
        <h3>1:3 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
        </div>
    </div>
    <h2>Three Columns</h2>
        <div class="container-fluid">
            <!-- Row with three equal columns -->
            <h3>1:1:1 Ratio</h3>
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
            </div>
        </div>

        <!-- Row with three columns divided in 1:2:1 ratio -->
        <h3>1:2:1 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
        </div>
        <!-- Row with three columns divided in an uneven ratio -->
        <h3>Uneven Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
        </div>
    </div>

    <!-- Automatic Sizing -->
    <!--col - auto size the columns -->
    <h2>Automatic Sizing</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
        </div>
    </div>
    <!-- Mobile Responsive Columns -->
    <h2>Mobile Responsive Columns</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
        </div>
    </div>
    <!-- Multi-Column Layout -->
    <h2>Multi-Column Layouts</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Responsive</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Responsive</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Responsive</div>
        </div>
    </div>
    <!-- Offsetting Columns -->
    <h2>Offseetting Columns</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark offset-md-3 col-6">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark offset-lg-4 col-6">Responsive</div>
        </div>
    </div>
    <!-- Column orders  -->
    <h2>Column Orders</h2>
    <div class="container-fluid">
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
        </div>
    </div>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>